curl --request POST \
--url https://sandbox.cashfree.com/verification/cin \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"verification_id": "ABC00123",
"cin": "U72900KA2015PTC082988"
}
'import requests
url = "https://sandbox.cashfree.com/verification/cin"
payload = {
"verification_id": "ABC00123",
"cin": "U72900KA2015PTC082988"
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({verification_id: 'ABC00123', cin: 'U72900KA2015PTC082988'})
};
fetch('https://sandbox.cashfree.com/verification/cin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verification_id": "ABC00123",
"reference_id": 12345,
"status": "VALID",
"cin": "U72900KA2015PTC082988",
"company_name": "COMPANY NAME",
"registration_number": 82987,
"incorporation_date": "2015-09-23",
"cin_status": "ACTIVE",
"email": "abc@xyz.com",
"incorporation_country": "INDIA",
"director_details": [
{
"din": "07168822",
"name": "Frank Kelvin",
"dob": "1997-07-21",
"designation": "DIRECTOR",
"address": "ST BED KORAMANGALA, BANGALORE, KARNATAKA, INDIA, 566634"
},
{
"din": "07168826",
"name": "John Doe",
"dob": "1997-02-07",
"designation": "DIRECTOR",
"address": " GAUTAM NAGAR, NOIDA, UTTAR PRADESH, INDIA, 211361"
}
]
}Verify CIN
Use this API to retrieve information from Corporate Identification Number (CIN).
View the test data and use the information to trigger the validations. The test data can be used only in the sandbox environment.
Authorizations
Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.
The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.
Headers
Send the signature if two-factor authentication is selected as Public Key. More details.
Body
Find the request parameters to retrieve your customer's CIN information.
It is the unique ID you create to identify the API request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-). and underscore ( _ ) are allowed.
"ABC00123"
It is the unique alphanumeric identifier assigned to companies registered under the Ministry of Corporate Affairs, India.
"U72900KA2015PTC082988"
Response
Success response for retrieving the CIN information.
It displays the unique ID you created to identify the API request.
"ABC00123"
It displays the unique ID created by Cashfree Payments for reference purposes.
format: int64
1358
It displays the status of the CIN information. Possible values are: - VALID: CIN provided is valid - INVALID: CIN provided is invalid
"VALID"
It displays the entered CIN information.
"U72900KA2015PTC082988"
It displays the name of the company registered under the Ministry of Corporate Affaris.
"COMPANY NAME"
It displays the registration number of the company.
82987
It displays the date of incorporation of the company.
"23-09-2015"
It displays the granular level status of the CIN information.
"ACTIVE"
It displays the email ID of the company registered under the Ministry of Company Affairs.
"abc@xyz.com"
It displays the name of the country where the company is located.
"INDIA"
Show child attributes
Show child attributes
Was this page helpful?